Get Organization
Request
GET
https://api.sourcecraft.tech/orgs/{org_slug}
Path parameters
|
Name |
Description |
|
org_slug |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
org_id |
Type: string Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"id": "example",
"slug": "example",
"display_name": "example",
"visibility": "public",
"logo": {
"url": "example"
},
"web_url": "example"
}
|
Name |
Description |
|
display_name |
Type: string Example: |
|
id |
Type: string Example: |
|
logo |
Type: Image Example
|
|
slug |
Type: string Example: |
|
visibility |
Type: Organization.Visibility Enum: |
|
web_url |
Type: string Example: |
Organization.Visibility
Type: string
Enum: public, internal, private
Image
|
Name |
Description |
|
url |
Type: string Example: |
Example
{
"url": "example"
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |
Была ли статья полезна?
Следующая